pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: building net/proftpd fails on mod_tls.c

Well I updated to NetBSD 5.1 RC3 ( both kernel and userland )
but it didnt seem to make any difference at all for proftpd builds.

Let me know if you need any specific commands run to check versions of libraries and so on...
For the time being i reverted to an old version binary of proftpd that used to work.


2010/9/4 Asmodehn Shade <>

2010/9/3 Joerg Sonnenberger <>

On Fri, Sep 03, 2010 at 12:15:21PM +0200, Asmodehn Shade wrote:
> I am currently updating my packages on my NetBSD server, and net/proftpd
> fails to build ( from last stable branch and from trunk )

Can you be more precise what version of NetBSD's userland you have? The
OpenSSL handling of this issue resulted in a complete API mess, so it
helps to know exactly what you have.


Ah i see...
Well, it s a custom compiled ( for update purposes ) userland.

uname -a:
NetBSD $HOSTNAME 5.1_RC2 NetBSD 5.1_RC2 (HERACLES) #0: Fri Jun  4 14:39:35 UTC 2010 $KERNEL amd64

not sure if it is the right library but in any case :

        -lcrypto.3 => /usr/lib/
        -lcrypt.0 => /lib/
        -lc.12 => /lib/

Should I update to RC4 already ? Well i guess I ll start with that, doesnt hurt...
I ll let you know if it fixes something or not.



Home | Main Index | Thread Index | Old Index